## yate 3.3.3.vir2011052702

=== Makefile ===
# Makefile
# This file holds the make rules for the Telephony Engine

# override DESTDIR at install time to prefix the install directory
DESTDIR :=

# override DEBUG at compile time to enable full debug or remove it all
DEBUG :=

CXX := g++ -Wall
SED := sed
DEFS :=
LIBTHR:= -lpthread
INCLUDES := -I. -I.
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
LDCONFIG:=true
RPMOPT :=

MKDEPS := ./config.status
PROGS:= yate
YLIB := libyate.so.3.3.3
SLIBS:= $(YLIB) libyate.so \
	libyatesig.so.3.3.3 libyatesig.so \
	libyatemgcp.so.3.3.3 libyatemgcp.so \
	libyatejabber.so.3.3.3 libyatejabber.so
INCS := yateclass.h yatemime.h yatengine.h yatephone.h yatecbase.h
GENS := yateversn.h
LIBS :=
MAN8 := yate.8 yate-config.8
DOCS := README COPYING ChangeLog
OBJS := main.o

CLEANS = $(PROGS) $(SLIBS) $(LIBS) $(OBJS) yatepaths.h core
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

DOCGEN_F := $(INCS)

prefix = /usr
exec_prefix = ${prefix}
datarootdir = ${prefix}/share

datadir = ${datarootdir}
confdir = /etc/yate
bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
incdir = ${prefix}/include/yate
mandir = ${prefix}/share/man
docdir = ${datarootdir}/doc/yate-3.3.3
vardir = ${prefix}/var/lib/yate
moddir = ${exec_prefix}/lib/yate
shrdir = $(datadir)/yate

# include optional local make rules
-include YateLocal.mak

DOCGEN := /bin/false
DOCGEN_K := /bin/false
DOCGEN_D := /bin/false
APIDOCS :=
ifneq (_,_)
DOCGEN_K :=  -C ./docs/doc-filter.sh -d docs/api/ $(DOCGEN_F)
DOCGEN := $(DOCGEN_K)
APIDOCS := apidocs
endif
ifneq (_/scratchbox/devkits/doctools/bin/doxygen,_)
DOCGEN_D := (cat docs/Doxyfile; echo 'INPUT = $(DOCGEN_F)') | /scratchbox/devkits/doctools/bin/doxygen -
DOCGEN := $(DOCGEN_D)
APIDOCS := apidocs
endif

.PHONY: all everything debug ddebug xdebug ndebug
all: engine modules clients

everything: engine libs modules clients test apidocs

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

ndebug:
	$(MAKE) all DEBUG='-g0 -DNDEBUG'

.PHONY: clean distclean cvsclean clean-config-files clean-tables clean-apidocs
clean:
	@-$(RM) $(CLEANS) 2>/dev/null
	$(MAKE) -C ./engine $@
	$(MAKE) -C ./modules $@
	$(MAKE) -C ./clients $@
	@for i in libs/*; do \
	    test ! -f "$$i/Makefile" || $(MAKE) -C "$$i" clean ; \
	done

check-topdir:
	@test -f configure || (echo "Must make this target in the top source directory"; exit 1)

check-root:
	@test `id -u` = '0' || (echo "You must run this command as root"; exit 1)

check-ldconfig:
	@test "x/usr/lib" = "x$(libdir)" || \
	    grep -l -R "^$(libdir)$$" /etc/ld.so.conf* >/dev/null 2>&1 || \
	    echo "Add manually $(libdir) to /etc/ld.so.conf and run ldconfig (as root)"

clean-config-files: check-topdir
	-rm -rf auto*.cache
	-rm -f  yate.pc yateversn.h yateiss.inc Makefile engine/Makefile modules/Makefile modules/test/Makefile clients/Makefile clients/qt4/Makefile libs/ilbc/Makefile libs/ysip/Makefile libs/yrtp/Makefile libs/ysdp/Makefile libs/yiax/Makefile libs/yxml/Makefile libs/yjabber/Makefile libs/ymgcp/Makefile libs/ysig/Makefile libs/ypbx/Makefile libs/ymodem/Makefile libs/yasn/Makefile libs/ysnmp/Makefile share/Makefile share/scripts/Makefile share/skins/Makefile share/sounds/Makefile share/help/Makefile share/data/Makefile conf.d/Makefile yate-config run config.status config.log

clean-tables: check-topdir
	-rm -f packing/rpm/yate.spec
	$(MAKE) -C ./engine/tables -f Makefile.tables mrproper

clean-apidocs: check-topdir
	-rm docs/api/*.*

distclean: check-topdir clean clean-config-files

cvsclean: check-topdir clean clean-tables clean-apidocs clean-config-files
	-rm -f configure yate-config.in

.PHONY: engine libs modules clients test apidocs-build apidocs-kdoc apidocs-doxygen apidocs-everything check-topdir check-ldconfig windows
engine: tables library libyate.so $(PROGS)

apidocs-kdoc: check-topdir
	@if [ "x$(DOCGEN_K)" != x/bin/false ]; then \
	    $(DOCGEN_K) ; \
	else \
	    echo "Executable kdoc is not installed!" ; exit 1 ; \
	fi

apidocs-doxygen: check-topdir
	@if [ "x$(DOCGEN_D)" != x/bin/false ]; then \
	    $(DOCGEN_D) ; \
	else \
	    echo "Executable doxygen is not installed!" ; exit 1 ; \
	fi

apidocs-build:
	@if [ "x$(DOCGEN)" != x/bin/false ]; then \
	    cd . ; $(DOCGEN) ; \
	else \
	    echo "Neither kdoc or doxygen is installed!" ; exit 1 ; \
	fi

apidocs-everything: check-topdir
	$(MAKE) apidocs-build DOCGEN_F="$(DOCGEN_F) `echo libs/y*/*.h`"

apidocs: ./docs/api/index.html

./docs/api/index.html: ./docs/Doxyfile \
    ./yateclass.h ./yatemime.h ./yatengine.h \
    ./yatephone.h ./yatecbase.h
	$(MAKE) apidocs-build

.PHONY: strip sex love war
strip: all
	-strip --strip-debug --discard-locals $(PROGS) $(SLIBS)

sex: strip
	@echo 'Stripped for you!'

# Let's have a little fun
love:
	@echo 'Not war?'

war:
	@echo 'Please make love instead!'

modules clients test: engine
	$(MAKE) -C ./$@ all

libs: engine
	@for i in libs/*; do \
	    test ! -f "$$i/Makefile" || $(MAKE) -C "$$i" all ; \
	done

tables: ./engine/tables/all.h

./engine/tables/all.h:
	$(MAKE) -C ./engine/tables -f Makefile.tables all

yatepaths.h: $(MKDEPS)
	@echo '#define CFG_PATH "$(confdir)"' > $@
	@echo '#define MOD_PATH "$(moddir)"' >> $@
	@echo '#define SHR_PATH "$(shrdir)"' >> $@

windows: check-topdir
	@cmp -s yateversn.h $@/yateversn.h || cp -p yateversn.h $@/yateversn.h
	@cmp -s yateiss.inc $@/yateiss.inc || cp -p yateiss.inc $@/yateiss.inc

.PHONY: install install-root install-noconf install-noapi install-api uninstall uninstall-root
install install-root: all $(APIDOCS) install-noapi install-api check-ldconfig

install-noapi: install-noconf
	$(MAKE) -C ./conf.d install

install-noconf: all
	@mkdir -p "$(DESTDIR)$(libdir)/" && \
	for i in $(SLIBS) ; do \
	    if [ -h "$$i" ]; then \
		f=`readlink "$$i"` ; \
		ln -sf "$$f" "$(DESTDIR)$(libdir)/$$i" ; \
	    else \
		install $$i "$(DESTDIR)$(libdir)/" ; \
	    fi \
	done
	@mkdir -p "$(DESTDIR)$(bindir)/" && \
	install $(PROGS) yate-config "$(DESTDIR)$(bindir)/"
	$(MAKE) -C ./modules install
	$(MAKE) -C ./clients install
	$(MAKE) -C ./share install
	@$(LDCONFIG)
	@mkdir -p "$(DESTDIR)$(mandir)/man8/" && \
	for i in $(MAN8) ; do \
	    install -m 0644 ./docs/man/$$i "$(DESTDIR)$(mandir)/man8/" ; \
	done
	@mkdir -p "$(DESTDIR)$(libdir)/pkgconfig/" && \
	install -m 0644 yate.pc "$(DESTDIR)$(libdir)/pkgconfig/"
	@mkdir -p "$(DESTDIR)$(incdir)/" && \
	for i in $(INCS) ; do \
	    install -m 0644 ./$$i "$(DESTDIR)$(incdir)/" ; \
	done
	@for i in $(GENS) ; do \
	    install -m 0644 $$i "$(DESTDIR)$(incdir)/" ; \
	done
	@mkdir -p "$(DESTDIR)$(docdir)/api/" && \
	for i in $(DOCS) ; do \
	    install -m 0644 ./$$i "$(DESTDIR)$(docdir)/" ; \
	done ;

install-api: $(APIDOCS)
	@mkdir -p "$(DESTDIR)$(docdir)/api/" && \
	install -m 0644 ./docs/*.html "$(DESTDIR)$(docdir)/" && \
	test -z "$(APIDOCS)" || \
	install -m 0644 ./docs/api/*.* "$(DESTDIR)$(docdir)/api/"

uninstall uninstall-root:
	@-for i in $(SLIBS) ; do \
	    rm "$(DESTDIR)$(libdir)/$$i" ; \
	done; \
	$(MAKE) -C ./clients uninstall
	@$(LDCONFIG)
	@-for i in $(PROGS) yate-config ; do \
	    rm "$(DESTDIR)$(bindir)/$$i" ; \
	done
	@-rm "$(DESTDIR)$(libdir)/pkgconfig/yate.pc" && \
	    rmdir $(DESTDIR)$(libdir)/pkgconfig
	@-for i in $(INCS) $(GENS) ; do \
	    rm "$(DESTDIR)$(incdir)/$$i" ; \
	done; \
	rmdir "$(DESTDIR)$(incdir)"
	@-for i in $(MAN8) ; do \
	    rm "$(DESTDIR)$(mandir)/man8/$$i" ; \
	done
	@rm -rf "$(DESTDIR)$(docdir)/"
	$(MAKE) -C ./modules uninstall
	$(MAKE) -C ./share uninstall
	$(MAKE) -C ./conf.d uninstall

install-root uninstall-root: LDCONFIG:=ldconfig

.PHONY: snapshot tarball rpm srpm revision
snapshot tarball: check-topdir revision clean tables windows apidocs
	@if [ $@ = snapshot ]; then ver="`date '+SVN-%Y%m%d'`"; else ver="3.3.3-alpha1"; fi ; \
	wd=`pwd|sed 's,^.*/,,'`; \
	mkdir -p packing/tarballs; cd ..; \
	echo $$wd/tar-exclude >$$wd/tar-exclude; \
	find $$wd -name Makefile >>$$wd/tar-exclude; \
	find $$wd -name 'YateLocal*' >>$$wd/tar-exclude; \
	find $$wd/conf.d -name '*.conf' >>$$wd/tar-exclude; \
	find $$wd -name '*.cache' >>$$wd/tar-exclude; \
	find $$wd -name '*~' >>$$wd/tar-exclude; \
	find $$wd -name '.*.swp' >>$$wd/tar-exclude; \
	if [ $@ = tarball ]; then \
	    find $$wd -name .svn >>$$wd/tar-exclude; \
	    find $$wd -name CVS >>$$wd/tar-exclude; \
	    find $$wd -name .cvsignore >>$$wd/tar-exclude; \
	else \
	    echo "$$wd/packing/rpm/yate.spec" >>$$wd/tar-exclude; \
	fi ; \
	tar czf $$wd/packing/tarballs/yate-$$ver.tar.gz \
	--exclude $$wd/packing/tarballs \
	--exclude $$wd/config.status \
	--exclude $$wd/config.log \
	--exclude $$wd/run \
	--exclude $$wd/yate-config \
	--exclude $$wd/yate.pc \
	--exclude $$wd/yatepaths.h \
	--exclude $$wd/yateversn.h \
	-X $$wd/tar-exclude \
	$$wd; \
	rm $$wd/tar-exclude

rpm: tarball
	rpmbuild -tb $(RPMOPT) packing/tarballs/yate-3.3.3-alpha1.tar.gz

srpm: tarball
	rpmbuild -ta $(RPMOPT) packing/tarballs/yate-3.3.3-alpha1.tar.gz

revision: check-topdir
	@-rev=`svn info 2>/dev/null | sed -n 's,^Revision: *,,p'`; \
	test -z "$$rev" || echo "$$rev" > packing/revision.txt

%.o: ./%.cpp $(MKDEPS) ./yatengine.h
	$(COMPILE) -c $<

./configure: ./configure.in
	cd . && ./autogen.sh --silent

config.status: ./configure
	./config.status --recheck

Makefile: ./Makefile.in $(MKDEPS)
	./config.status

yate: $(OBJS) $(LIBS) libyate.so
	$(LINK) -o $@ $(LIBTHR) $^ 

libyate.so: $(YLIB)
	ln -sf $^ $@

.PHONY: library
library $(YLIB): yatepaths.h
	$(MAKE) -C ./engine all

.PHONY: help
help:
	@echo -e 'Usual make targets:\n'\
	'    all engine libs modules clients apidocs test everything\n'\
	'    install uninstall install-noapi install-root uninstall-root\n'\
	'    clean distclean cvsclean (avoid this one!) clean-apidocs\n'\
	'    debug ddebug xdebug (carefull!)\n'\
	'    snapshot tarball rpm srpm'

=== clients/Makefile ===
# Makefile
# This file holds the make rules for the Telephony Engine clients

# override DESTDIR at install time to prefix the install directory
DESTDIR :=

# override DEBUG at compile time to enable full debug or remove it all
DEBUG :=

CXX := g++ -Wall
SED := sed
DEFS :=
MOC := /usr/bin/moc-qt4
QT4_INC := -DQT_SHARED -I/usr/include/QtUiTools -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -I/usr/include/QtGui  
QT4_LIB := -lQtUiTools -lQtGui -lQtDBus -lQtXml -lQtCore  
QT4_INC_NET := -I/usr/include/QtNetwork
QT4_LIB_NET := -lQtNetwork
QT4_CLIENT_DEPS := ../libyateqt4.so
QT4_CLIENT_LIBS := -lyateqt4
LIBTHR:= -lpthread
INCLUDES := -I.. -I..
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
YATELIBS := -L.. -lyate 
INCFILES := ../yatengine.h ../yatephone.h ../yateversn.h

MKDEPS  := ../config.status
SUBDIRS :=
PROGS :=
LIBS :=
MENUFILES :=
DESKFILES :=

ifneq (yes,no)
SUBDIRS := $(SUBDIRS) qt4
PROGS := $(PROGS) yate-qt4
MENUFILES := $(MENUFILES) yate-qt4.menu
DESKFILES := $(DESKFILES) yate-qt4.desktop
ICONFILES := $(ICONFILES) null_team-16.png null_team-32.png null_team-48.png

ifneq (no,no)
ifeq (no,yes)
QT4_CLIENT_LIBS := customtable customtext customtree widgetlist clientarchive
else
QT4_CLIENT_LIBS := $(strip no)
endif
QT4_CLIENT_LIBS := $(foreach mod,$(QT4_CLIENT_LIBS),../modules/qt4/$(mod).o) qt4/qt4client.a
QT4_CLIENT_DEPS := $(QT4_CLIENT_LIBS)
endif

endif

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

ifneq (x040700,x)
DEFS := $(DEFS) -DQT4_VER=040700
endif

prefix = /usr
exec_prefix = ${prefix}
datarootdir = ${prefix}/share
datadir = ${datarootdir}

bindir = ${exec_prefix}/bin
menudir= $(prefix)/lib/menu
shrdir = $(datadir)/yate
deskdir= $(datadir)/applications
icondir= $(datadir)/pixmaps

# include optional local make rules
-include YateLocal.mak

.PHONY: all
all: do-all $(LIBS) $(PROGS)

.PHONY: strip
strip: all do-strip
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean: do-clean
	@-$(RM) $(PROGS) $(LIBS) *.o core 2>/dev/null

.PHONY: install
install: all do-install
	@mkdir -p "$(DESTDIR)$(bindir)/" && \
	test -z "$(PROGS)" || \
	install $(PROGS) "$(DESTDIR)$(bindir)/"
	$(if $(MENUFILES),\
	@mkdir -p "$(DESTDIR)$(menudir)/" && \
	for i in $(MENUFILES) ; do \
	    install -D -m 0644 "./$$i" "$(DESTDIR)$(menudir)/$$i" ; \
	done \
	)
	$(if $(ICONFILES),\
	@mkdir -p "$(DESTDIR)$(icondir)/" && \
	for i in $(ICONFILES) ; do \
	    install -D -m 0644 "./$$i" "$(DESTDIR)$(icondir)/$$i" ; \
	done \
	)
	$(if $(DESKFILES),\
	@mkdir -p "$(DESTDIR)$(deskdir)/" && \
	for i in $(DESKFILES) ; do \
	    install -D -m 0644 "./$$i" "$(DESTDIR)$(deskdir)/$$i" ; \
	done \
	)

.PHONY: uninstall
uninstall: do-uninstall
	@-for i in $(PROGS) ; do \
	    rm "$(DESTDIR)$(bindir)/$$i" ; \
	done
	@-rmdir "$(DESTDIR)$(bindir)"
	$(if $(MENUFILES),\
	@-for i in $(MENUFILES) ; do \
	    rm "$(DESTDIR)$(menudir)/$$i" ; \
	done ; \
	rmdir "$(DESTDIR)$(menudir)" \
	)
	$(if $(DESKFILES),\
	@-for i in $(DESKFILES) ; do \
	    rm "$(DESTDIR)$(deskdir)/$$i" ; \
	done ; \
	rmdir "$(DESTDIR)$(deskdir)" \
	)
	$(if $(ICONFILES),\
	@-for i in $(ICONFILES) ; do \
	    rm "$(DESTDIR)$(icondir)/$$i" ; \
	done ; \
	rmdir "$(DESTDIR)$(icondir)" \
	)

../modules/qt4/%.o: ../modules/qt4/%.cpp
	$(MAKE) -C ../modules qt4/$(notdir $@)

%.o: ./%.cpp $(MKDEPS) $(INCFILES)
	$(COMPILE) -c $<

%.moc.o: %.moc $(INCFILES)
	$(COMPILE) $(QT4_INC) -o $@ -c -x c++ $<

%.moc: ./%.h
	$(MOC) $(DEFS) $(INCLUDES) $(QT4_INC) -o $@ $<

do-all do-strip do-clean do-install do-uninstall:
	$(if $(SUBDIRS),\
	@target=`echo $@ | $(SED) -e 's/^do-//'`; \
	for i in $(SUBDIRS) ; do \
	    if test -f ./$$i/Makefile ; then \
		$(MAKE) -C ./$$i $${target} || exit 1;\
	    fi; \
	done \
	)

Makefile: ./Makefile.in $(MKDEPS)
	cd .. && ./config.status

yate-qt4: $(QT4_CLIENT_DEPS)
yate-qt4: LOCALFLAGS = $(QT4_INC)
yate-qt4: LOCALLIBS = $(QT4_CLIENT_LIBS) $(QT4_LIB)

qt4/qt4client.a: ./qt4/qt4client.h ./qt4/qt4client.cpp
	$(MAKE) -C qt4 $(notdir $@)

yate-%: ./main-%.cpp $(MKDEPS) ../libyate.so $(INCFILES)
	$(COMPILE) -o $@ $(LOCALFLAGS) $< $(LDFLAGS) $(LIBTHR) $(LOCALLIBS) $(YATELIBS)

=== conf.d/Makefile ===
# Makefile
# This file holds the make rules for the Telephony Engine config files

# override DESTDIR at install time to prefix the install directory
DESTDIR :=

prefix = /usr
confdir = /etc/yate

# include optional local make rules
-include YateLocal.mak

.PHONY: all
all:

# Install .sample files only if we don't have other versions
.PHONY: install
install:
	@mkdir -p "$(DESTDIR)$(confdir)/" && \
	lst="`ls -1 ./*.conf ./*.sample ./*.default 2>/dev/null | sed 's/\.sample//g; s/\.default//g; s/[^ ]*\*\.[^ ]*//g' | sort | uniq`" ; \
	for s in $$lst; do \
	    d="$(DESTDIR)$(confdir)/`echo $$s | sed 's,.*/,,'`" ; \
	    if [ -f "$$d" ]; then \
		echo "Not overwriting existing $$d" ; \
	    else \
		if [ ! -f "$$s" ]; then \
		    test -f "$$s.default" && s="$$s.default" ; \
		    test -f "$$s.sample" && s="$$s.sample" ; \
		fi ; \
		install -m 0644 "$$s" "$$d" ; \
	    fi ; \
	done

.PHONY: uninstall
uninstall:
	@-rmdir "$(DESTDIR)$(confdir)" || echo "Remove conf files by hand if you want so"

Makefile: ./Makefile.in ../config.status
	cd .. && ./config.status

=== engine/Makefile ===
# Makefile
# This file holds the make rules for the Telephony Engine

# override DEBUG at compile time to enable full debug or remove it all
DEBUG :=

CC  := gcc -Wall
CXX := g++ -Wall
SED := sed
DEFS :=
LIBAUX:= -ldl 
LIBTHR:= -lpthread
INCLUDES := -I.. -I..
CFLAGS :=  -O2 -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
CPPFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
SONAME_OPT := -shared -Wl,-soname=
LDCONFIG:=true

MKDEPS := ../config.status
YLIB:= libyate.so.3.3.3
CINC := ../yateclass.h ../yatemime.h
EINC := $(CINC) ../yatengine.h
PINC := $(EINC) ../yatephone.h
CLINC:= $(PINC) ../yatecbase.h
LIBS :=
CLSOBJS := TelEngine.o ObjList.o HashList.o Mutex.o Thread.o Socket.o \
	String.o DataBlock.o NamedList.o Evaluator.o \
	URI.o Mime.o Array.o Iterator.o \
	YMD5.o YSHA1.o Base64.o Cipher.o Compressor.o
ENGOBJS := Configuration.o Message.o Engine.o Plugin.o
TELOBJS := DataFormat.o Channel.o
CLIOBJS := Client.o ClientLogic.o

LIBOBJS := $(CLSOBJS) $(ENGOBJS) $(TELOBJS) $(CLIOBJS)
CLEANS = $(LIBOBJS) core
CCOMPILE = $(CC) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CPPFLAGS)
LINK = $(CXX) $(LDFLAGS)

ifeq (no,yes)
REGEX_INC:= -I../engine/regex -UDEBUG
LIBOBJS := $(LIBOBJS) regex.o
else
REGEX_INC:=
endif

prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
incdir = ${prefix}/include/yate
moddir = ${exec_prefix}/lib/yate

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: ../$(YLIB)

debug:
	$(MAKE) all DEBUG=-g3

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG'

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG'

.PHONY: clean
clean:
	@-$(RM) $(CLEANS) 2>/dev/null

.PHONY: strip
strip: all
	-strip --strip-debug --discard-locals ../$(YLIB)

Engine.o: ./Engine.cpp $(MKDEPS) $(EINC) ../yateversn.h ../yatepaths.h
	$(COMPILE) -DHAVE_POLL -DFDSIZE_HACK=8192 -DHAVE_PRCTL -DHAVE_GETCWD -c $<

Channel.o: ./Channel.cpp $(MKDEPS) $(PINC)
	$(COMPILE) -c $<

DataBlock.o: ./DataBlock.cpp $(MKDEPS) $(EINC)
	$(COMPILE) -I../engine/tables -c $<

DataFormat.o: ./DataFormat.cpp $(MKDEPS) $(PINC)
	$(COMPILE) -c $<

Socket.o: ./Socket.cpp $(MKDEPS) $(CINC)
	$(COMPILE) -DHAVE_POLL -DFDSIZE_HACK=8192  -DHAVE_NTOP -DHAVE_PTON -DHAVE_GHBN_R -c $<

Mutex.o: ./Mutex.cpp $(MKDEPS) $(CINC)
	$(COMPILE) -DMUTEX_HACK -DHAVE_TIMEDLOCK -DHAVE_TIMEDWAIT -c $<

Thread.o: ./Thread.cpp $(MKDEPS) $(CINC)
	$(COMPILE)  -DHAVE_PRCTL -c $<

Client.o: ./Client.cpp $(MKDEPS) $(CLINC)
	$(COMPILE) -c $<

ClientLogic.o: ./ClientLogic.cpp $(MKDEPS) $(CLINC)
	$(COMPILE) -c $<

String.o: ./String.cpp $(MKDEPS) $(CINC)
	$(COMPILE) $(REGEX_INC) -c $<

regex.o: ../engine/regex/regex.c $(MKDEPS)
	$(CCOMPILE) -DSTDC_HEADERS $(REGEX_INC) -c $<

%.o: ./%.cpp $(MKDEPS) $(EINC)
	$(COMPILE) -c $<

Makefile: ./Makefile.in $(MKDEPS)
	cd .. && ./config.status

../$(YLIB): $(LIBOBJS) $(LIBS)
	$(LINK) -o $@ $(SONAME_OPT)$(YLIB) $^ $(LIBTHR) $(LIBAUX)

=== modules/Makefile ===
# Makefile
# This file holds the make rules for the Telephony Engine modules

# override DESTDIR at install time to prefix the install directory
DESTDIR :=

# override DEBUG at compile time to enable full debug or remove it all
DEBUG :=

CC  := gcc -Wall
CXX := g++ -Wall
MOC := /usr/bin/moc-qt4
QT4_INC := -DQT_SHARED -I/usr/include/QtUiTools -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -I/usr/include/QtGui  
QT4_LIB := -lQtUiTools -lQtGui -lQtDBus -lQtXml -lQtCore  
QT4_INC_NET := -I/usr/include/QtNetwork
QT4_LIB_NET := -lQtNetwork
QT4_STATIC_MODULES :=
HAVE_PGSQL := yes
PGSQL_INC := -I/usr/include/postgresql
PGSQL_LIB := -lpq
HAVE_MYSQL := no
MYSQL_INC := 
MYSQL_LIB := 
HAVE_SPANDSP := no
SPANDSP_INC := 
SPANDSP_LIB := -lspandsp
HAVE_OPENSSL := yes
OPENSSL_INC :=  
OPENSSL_LIB := -lssl -lcrypto  
HAVE_ZLIB := yes
ZLIB_INC := -I/usr/include
ZLIB_LIB := -lz
SED := sed
DEFS :=
INCLUDES := -I.. -I..
CFLAGS :=  -O2 -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
CPPFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
YATELIBS:= -L.. -lyate 
MODFLAGS:= -export-dynamic -shared -Wl,--unresolved-symbols=ignore-in-shared-libs
MODRELAX:= -export-dynamic -shared
MODSTRIP:= -Wl,--retain-symbols-file,/dev/null
INCFILES := ../yateclass.h ../yatengine.h ../yatephone.h ../yateversn.h

JUSTSIG := server/ysigchan.yate server/analog.yate \
	server/ciscosm.yate server/sigtransport.yate \
	server/isupmangler.yate

SUBDIRS :=
MKDEPS  := ../config.status
PROGS := cdrbuild.yate cdrfile.yate regexroute.yate \
	tonegen.yate tonedetect.yate wavefile.yate \
	extmodule.yate conference.yate moh.yate pbx.yate \
	dumbchan.yate callfork.yate mux.yate \
	yrtpchan.yate ystunchan.yate \
	ysipchan.yate \
	yiaxchan.yate \
	yjinglechan.yate jabber/jabberserver.yate jabber/jbfeatures.yate \
	ysockschan.yate filetransfer.yate \
	server/pbxassist.yate server/dbpbx.yate server/lateroute.yate \
	server/park.yate server/queues.yate server/queuesnotify.yate \
	server/regfile.yate server/accfile.yate server/register.yate \
	server/callcounters.yate server/cpuload.yate server/ccongestion.yate \
	server/dbwave.yate \
	server/yradius.yate \
	server/ysnmpagent.yate \
	server/monitoring.yate \
	server/sipfeatures.yate \
	sip/sip_cnam_lnp.yate \
	server/heartbeat.yate server/clustering.yate \
	server/mgcpgw.yate server/mgcpca.yate \
	server/mrcpspeech.yate \
	server/presence.yate server/subscription.yate \
	server/users.yate \
	$(JUSTSIG) \
	server/analogdetect.yate \
	client/jabberclient.yate \
	callgen.yate analyzer.yate rmanager.yate msgsniff.yate

LIBS :=
DIRS := client server jabber qt4 sip
PROGS := $(PROGS) server/overlapdial.yate

ifneq ($(HAVE_PGSQL),no)
PROGS := $(PROGS) server/pgsqldb.yate
endif

ifneq ($(HAVE_MYSQL),no)
PROGS := $(PROGS) server/mysqldb.yate
endif

ifneq (yes,no)
PROGS := $(PROGS) enumroute.yate
endif

ifneq (yes,no)
PROGS := $(PROGS) client/osschan.yate
endif

ifneq (yes,no)
PROGS := $(PROGS) client/alsachan.yate
endif

ifneq (no,no)
PROGS := $(PROGS) client/coreaudio.yate
endif

ifneq (yes,no)
ifeq (no,no)
PROGS := $(PROGS) qt4/updater.yate qt4/customtable.yate qt4/customtext.yate \
	qt4/customtree.yate qt4/widgetlist.yate qt4/clientarchive.yate
endif
endif

ifneq (no,no)
PROGS := $(PROGS) server/zapcard.yate
endif

ifneq (no,no)
ifeq (no,yes)
PROGS := $(PROGS) server/wpcard.yate
endif
ifeq (no,yes)
ifeq (yes,yes)
PROGS := $(PROGS) server/tdmcard.yate
endif
endif
endif

ifneq (no,no)
PROGS := $(PROGS) server/lksctp.yate
endif

ifneq ($(HAVE_SPANDSP),no)
PROGS := $(PROGS) faxchan.yate
endif

ifneq (no,no)
PROGS := $(PROGS) h323chan.yate
endif

ifneq (yes,no)
PROGS := $(PROGS) gsmcodec.yate
endif

ifneq (no,no)
PROGS := $(PROGS) ilbccodec.yate
endif

ifneq (yes,no)
PROGS := $(PROGS) speexcodec.yate
endif

ifneq (no,no)
PROGS := $(PROGS) amrnbcodec.yate
endif

ifneq ($(HAVE_OPENSSL),no)
PROGS := $(PROGS) openssl.yate
endif

ifneq ($(HAVE_ZLIB),no)
PROGS := $(PROGS) zlibcompress.yate
endif

ifeq (no,yes)
COREDUMP_INC := -DHAVE_COREDUMPER 
COREDUMP_LIB := 
endif

LOCALFLAGS =
LOCALLIBS =
CCOMPILE = $(CC) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CPPFLAGS)
LINK = $(CXX) $(LDFLAGS)
MODLINK = $(CXX) $(MODFLAGS) $(MODSTRIP) $(LDFLAGS)
MODCOMP = $(COMPILE) $(MODFLAGS) $(MODSTRIP) $(LDFLAGS)

prefix = /usr
exec_prefix = ${prefix}
moddir = ${exec_prefix}/lib/yate

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: subdirs do-all $(LIBS) $(PROGS)

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

.PHONY: strip
strip: all do-strip
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean: do-clean
	@-$(RM) $(PROGS) $(LIBS) *.o qt4/*.o qt4/*.moc core 2>/dev/null
	@-for i in $(PROGS) ; do \
	    $(RM) -rf $$i.dSYM 2>/dev/null; \
	done;

.PHONY: install
install: all do-install
	@mkdir -p "$(DESTDIR)$(moddir)/" && \
	for i in $(DIRS) ; do \
	    mkdir -p "$(DESTDIR)$(moddir)/$$i" ; \
	done; \
	for i in $(PROGS) ; do \
	    install -D "$$i" "$(DESTDIR)$(moddir)/$$i" ; \
	done;

.PHONY: uninstall
uninstall: do-uninstall
	@-for i in $(PROGS) ; do \
	    rm "$(DESTDIR)$(moddir)/$$i" ; \
	done; \
	for i in $(DIRS) $(SUBDIRS) ; do \
	    rmdir "$(DESTDIR)$(moddir)/$$i" ; \
	done;
	@-rmdir "$(DESTDIR)$(moddir)"

.PHONY: subdirs
subdirs:
	@mkdir -p $(DIRS)

qt4/%.o: ./qt4/%.cpp $(MKDEPS) $(INCFILES)
	$(MAKE) $(patsubst %.o,%.moc,$@)
	$(COMPILE) -c -o $@ $(QT4_INC) -I../clients/qt4 -I./qt4 $<

%.o: ./%.cpp $(MKDEPS) $(INCFILES)
	$(COMPILE) -c $<

do-all do-strip do-clean do-install do-uninstall:
	$(if $(SUBDIRS),\
	@target=`echo $@ | $(SED) -e 's/^do-//'`; \
	for i in $(SUBDIRS) ; do \
	    if test -f ./$$i/Makefile ; then \
		$(MAKE) -C ./$$i $${target} || exit 1;\
	    fi; \
	done \
	)

Makefile: ./Makefile.in $(MKDEPS)
	cd .. && ./config.status

lib%.so: %.o
	$(LINK) -shared -o $@ $^ $(YATELIBS)

server/%.yate: ./server/%.cpp $(MKDEPS) $(INCFILES)
	$(MODCOMP) -o $@ $(LOCALFLAGS) $< $(LOCALLIBS) $(YATELIBS)

client/%.yate: ./client/%.cpp $(MKDEPS) $(INCFILES)
	$(MODCOMP) -o $@ $(LOCALFLAGS) $< $(LOCALLIBS) $(YATELIBS)

qt4/%.yate: ./qt4/%.cpp ../libyateqt4.so $(MKDEPS) $(INCFILES)
	$(MAKE) $(patsubst %.yate,%.moc,$@)
	$(MODCOMP) -o $@ $(LOCALFLAGS) $(QT4_INC) -I../clients/qt4 -Iqt4 $< $(LOCALLIBS) ../libyateqt4.so $(QT4_LIB) $(YATELIBS)

qt4/%.moc: ./qt4/%.h $(MKDEPS) $(INCFILES)
	mkdir -p qt4 && $(MOC) $(DEFS) $(INCLUDES) $(QT4_INC) -I../clients/qt4 -I./qt4 -o $@ $<

%.yate: ./%.cpp $(MKDEPS) $(INCFILES)
	$(MODCOMP) -o $@ $(LOCALFLAGS) $< $(LOCALLIBS) $(YATELIBS)

# Take special care of the modules that depend on optional libs

$(JUSTSIG) server/wpcard.yate server/tdmcard.yate server/zapcard.yate: ../libyatesig.so
$(JUSTSIG): LOCALFLAGS = -I../libs/ysig
server/wpcard.yate server/tdmcard.yate: LOCALFLAGS = -I../libs/ysig 
server/zapcard.yate: LOCALFLAGS = -I../libs/ysig 
$(JUSTSIG) server/wpcard.yate server/tdmcard.yate server/zapcard.yate: LOCALLIBS = -lyatesig

server/analogdetect.yate: ../libs/ymodem/libyatemodem.a
server/analogdetect.yate: LOCALFLAGS = -I../libs/ymodem
server/analogdetect.yate: LOCALLIBS = -L../libs/ymodem -lyatemodem

h323chan.yate: LOCALFLAGS = -DPHAS_TEMPLATES -D_REENTRANT -DP_HAS_SEMAPHORES 
h323chan.yate: LOCALLIBS = 

server/pgsqldb.yate: LOCALFLAGS = $(PGSQL_INC)
server/pgsqldb.yate: LOCALLIBS = $(PGSQL_LIB)

server/mysqldb.yate: LOCALFLAGS = $(MYSQL_INC)
server/mysqldb.yate: LOCALLIBS = $(MYSQL_LIB)

enumroute.yate: LOCALLIBS = -lresolv

client/alsachan.yate: LOCALLIBS = -lasound

client/coreaudio.yate: LOCALLIBS = -framework CoreServices  -framework CoreAudio -framework AudioUnit -framework AudioToolBox

yiaxchan.yate: ../libs/yiax/libyateiax.a
yiaxchan.yate: LOCALFLAGS = -I../libs/yiax
yiaxchan.yate: LOCALLIBS = -L../libs/yiax -lyateiax

yjinglechan.yate jabber/jabberserver.yate jabber/jbfeatures.yate client/jabberclient.yate: ../libyatejabber.so
yjinglechan.yate jabber/jabberserver.yate jabber/jbfeatures.yate client/jabberclient.yate: LOCALFLAGS = -I../libs/yxml -I../libs/yjabber
yjinglechan.yate jabber/jabberserver.yate jabber/jbfeatures.yate client/jabberclient.yate: LOCALLIBS = -lyatejabber

server/dbpbx.yate server/pbxassist.yate: ../libs/ypbx/libyatepbx.a
server/dbpbx.yate server/pbxassist.yate: LOCALFLAGS = -I../libs/ypbx
server/dbpbx.yate server/pbxassist.yate: LOCALLIBS = -L../libs/ypbx -lyatepbx

server/mgcpca.yate: ../libyatemgcp.so ../libyatesig.so ../libs/ysdp/libyatesdp.a
server/mgcpca.yate: LOCALFLAGS = -I../libs/ymgcp -I../libs/ysig -I../libs/ysdp
server/mgcpca.yate: LOCALLIBS = -lyatemgcp -lyatesig -L../libs/ysdp -lyatesdp

server/mgcpgw.yate: ../libyatemgcp.so
server/mgcpgw.yate: LOCALFLAGS = -I../libs/ymgcp
server/mgcpgw.yate: LOCALLIBS = -lyatemgcp

server/lksctp.yate: LOCALFLAGS = 
server/lksctp.yate: LOCALLIBS = -lsctp

ilbccodec.yate: ../libs/ilbc/libilbc.a
ilbccodec.yate: LOCALFLAGS = 
ilbccodec.yate: LOCALLIBS = -L../libs/ilbc -lilbc

gsmcodec.yate: LOCALFLAGS = -I/usr/include
gsmcodec.yate: LOCALLIBS = -lgsm

speexcodec.yate: LOCALFLAGS = -I/usr/include/speex
speexcodec.yate: LOCALLIBS = -lspeex

amrnbcodec.yate: LOCALFLAGS = 
amrnbcodec.yate: LOCALLIBS = -lamrnb

faxchan.yate: LOCALFLAGS = $(SPANDSP_INC)
faxchan.yate: LOCALLIBS = $(SPANDSP_LIB)

ysipchan.yate: ../libs/ysip/libyatesip.a ../libs/ysdp/libyatesdp.a
ysipchan.yate: LOCALFLAGS = -I../libs/ysip -I../libs/ysdp
ysipchan.yate: LOCALLIBS = -L../libs/ysip -lyatesip -L../libs/ysdp -lyatesdp

yrtpchan.yate: ../libs/yrtp/libyatertp.a
yrtpchan.yate: LOCALFLAGS = -I../libs/yrtp
yrtpchan.yate: LOCALLIBS = -L../libs/yrtp -lyatertp

openssl.yate: LOCALFLAGS = $(OPENSSL_INC)
openssl.yate: LOCALLIBS = $(OPENSSL_LIB)

rmanager.yate: LOCALFLAGS = $(COREDUMP_INC)
rmanager.yate: LOCALLIBS = $(COREDUMP_LIB)

qt4/updater.yate: LOCALFLAGS = $(QT4_INC_NET)
qt4/updater.yate: LOCALLIBS = $(QT4_LIB_NET)

server/sipfeatures.yate: ../libs/yxml/libyatexml.a
server/sipfeatures.yate: LOCALFLAGS = -I../libs/yxml
server/sipfeatures.yate: LOCALLIBS = -L../libs/yxml -lyatexml

zlibcompress.yate: LOCALFLAGS = $(ZLIB_INC)
zlibcompress.yate: LOCALLIBS = $(ZLIB_LIB)

server/ysnmpagent.yate: ../libs/yasn/libyasn.a ../libs/ysnmp/libysnmp.a
server/ysnmpagent.yate: LOCALFLAGS = -I../libs/yasn -I../libs/ysnmp
server/ysnmpagent.yate: LOCALLIBS = -L../libs/yasn -lyasn -L../libs/ysnmp -lysnmp

../libyatesig.so ../libs/ysig/libyatesig.a:
	$(MAKE) -C ../libs/ysig

../libs/ilbc/libilbc.a:
	$(MAKE) -C ../libs/ilbc

../libs/ysip/libyatesip.a:
	$(MAKE) -C ../libs/ysip

../libs/yrtp/libyatertp.a:
	$(MAKE) -C ../libs/yrtp

../libs/ysdp/libyatesdp.a:
	$(MAKE) -C ../libs/ysdp

../libs/yiax/libyateiax.a:
	$(MAKE) -C ../libs/yiax

../libyatemgcp.so ../libs/ymgcp/libyatemgcp.a:
	$(MAKE) -C ../libs/ymgcp

../libs/ymodem/libyatemodem.a:
	$(MAKE) -C ../libs/ymodem

../libs/yxml/libyatexml.a:
	$(MAKE) -C ../libs/yxml

../libyatejabber.so ../libs/yjabber/libyatejabber.a:
	$(MAKE) -C ../libs/yjabber

../libs/ypbx/libyatepbx.a:
	$(MAKE) -C ../libs/ypbx

../libyateqt4.so:
	$(MAKE) -C ../clients/qt4

../libs/yasn/libyasn.a:
	$(MAKE) -C ../libs/yasn

../libs/ysnmp/libysnmp.a:
	$(MAKE) -C ../libs/ysnmp

=== share/Makefile ===
# Makefile
# This file holds the make rules for the Telephony Engine modules

# override DESTDIR at install time to prefix the install directory
DESTDIR :=

SUBDIRS := data help skins scripts sounds

prefix = /usr
exec_prefix = ${prefix}
datarootdir = ${prefix}/share
datadir = ${datarootdir}
shrdir = $(datadir)/yate

# include optional local make rules
-include YateLocal.mak

PHONY: all clean install uninstall
all clean install uninstall:
	$(if $(SUBDIRS),\
	@for i in $(SUBDIRS) ; do \
	    if test -f ./$$i/Makefile ; then \
		$(MAKE) -C ./$$i $@ || exit 1;\
	    fi; \
	done \
	)

Makefile: ./Makefile.in ../config.status
	cd .. && ./config.status

=== clients/qt4/Makefile ===
# Makefile
# This file holds the make rules for the Gtk2 client support

# override DEBUG at compile time to enable full debug or remove it all
DEBUG :=

CXX := g++ -Wall
AR  := ar
MOC := /usr/bin/moc-qt4
QT4_INC := -DQT_SHARED -I/usr/include/QtUiTools -I/usr/include/QtCore -I/usr/include/QtDBus -I/usr/include/QtXml -I/usr/include/QtGui  
QT4_LIB := -lQtUiTools -lQtGui -lQtDBus -lQtXml -lQtCore  
QT4_INC_NET := -I/usr/include/QtNetwork
QT4_LIB_NET := -lQtNetwork
DEFS:=

INCLUDES:=-I. -I. -I../.. $(QT4_INC)
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
SONAME_OPT := -shared -Wl,-soname=
YATELIBS := -L../.. -lyate 
INCFILES := ../../yateclass.h ../../yatecbase.h ./qt4client.h

PROGS=
LIBS = qt4client.a
SOURCES = qt4client.cpp
OBJS = $(SOURCES:.cpp=.o) qt4client.moc.o
INST:=
LIBD_DEV:= libyateqt4.so
LIBD_VER:= $(LIBD_DEV).3.3.3
ifeq (no,no)
LIBD:= ../../$(LIBD_VER) ../../$(LIBD_DEV)
INST:= $(LIBD_VER) $(LIBD_DEV)
endif

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

ifneq (x040700,x)
DEFS := $(DEFS) -DQT4_VER=040700
endif

prefix = /usr
exec_prefix = ${prefix}
datarootdir = ${prefix}/share

bindir = ${exec_prefix}/bin
libdir = ${exec_prefix}/lib
incdir = ${prefix}/include/yate

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: $(LIBS) $(LIBD) $(PROGS)

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

.PHONY: strip
strip: all
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean:
	@-$(RM) $(PROGS) $(LIBS) $(LIBD) $(OBJS) core 2>/dev/null

.PHONY: install uninstall
install: all
	$(if $(INST),\
	@mkdir -p "$(DESTDIR)$(libdir)" && \
	for i in $(INST) ; do \
	    if [ -h "../../$$i" ]; then \
		f=`readlink "../../$$i"` ; \
		ln -sf "$$f" "$(DESTDIR)$(libdir)/$$i" ; \
	    else \
		install ../../$$i "$(DESTDIR)$(libdir)/" ; \
	    fi \
	done; \
	mkdir -p "$(DESTDIR)$(incdir)" && \
	install -m 0644 ./qt4client.h "$(DESTDIR)$(incdir)/" \
	)

uninstall:
	$(if $(INST),\
	@-for i in $(INST) ; do \
	    rm "$(DESTDIR)$(libdir)/$$i" ; \
	done; \
	rm "$(DESTDIR)$(incdir)/qt4client.h" && rmdir "$(DESTDIR)$(libdir)" \
	)

%.o: ./%.cpp $(INCFILES)
	$(COMPILE) -c $<

%.moc.o: %.moc $(INCFILES)
	$(COMPILE) -o $@ -c -x c++ $<

%.moc: ./%.h
	$(MOC) $(DEFS) $(INCLUDES) -o $@ $<

Makefile: ./Makefile.in ../../config.status
	cd ../.. && ./config.status

../../$(LIBD_VER): $(OBJS)
	$(LINK) -o $@ $(SONAME_OPT)$(LIBD_VER) $^ $(QT4_LIB) $(YATELIBS)

../../$(LIBD_DEV): ../../$(LIBD_VER)
	cd ../.. && ln -sf $(LIBD_VER) $(LIBD_DEV)

$(LIBS): $(OBJS)
	$(AR) rcs $@ $^

=== libs/ilbc/Makefile ===
# Makefile
# This file holds the make rules for the libilbc 

CC  := gcc -Wall
AR  := ar
SED := sed
DEFS :=
INCLUDES := -I../..
CFLAGS :=  -O2 -O3 -funroll-loops -fomit-frame-pointer -fsigned-char -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK
LDFLAGS:= 

PROGS=
LIBS = libilbc.a
OBJS= anaFilter.o iCBSearch.o packing.o \
        constants.o gainquant.o iLBC_decode.o StateConstructW.o \
        createCB.o getCBvec.o iLBC_encode.o StateSearchW.o doCPLC.o \
        helpfun.o syntFilter.o enhancer.o hpInput.o LPCdecode.o \
        filter.o hpOutput.o LPCencode.o FrameClassify.o  iCBConstruct.o lsf.o

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(LDFLAGS)

prefix = /usr
exec_prefix = ${prefix}

.PHONY: all
all: $(LIBS) $(PROGS)

.PHONY: strip
strip: all
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean:
	@-$(RM) $(PROGS) $(LIBS) $(OBJS) core 2>/dev/null

%.o: ./%.c
	$(COMPILE) -c $<

Makefile: ./Makefile.in ../../config.status
	cd ../.. && ./config.status

libilbc.a: $(OBJS)
	$(AR) rcs $@ $^

=== libs/yasn/Makefile ===
# Makefile
# This file holds the make rules for the libyasn

DEBUG :=

CXX  := g++ -Wall
AR  := ar
DEFS :=
INCLUDES := -I../.. -I../.. -I.
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:=  -L../.. -lyate
INCFILES := ../../yateclass.h ./yateasn.h

PROGS=
LIBS = libyasn.a
OBJS = asn.o

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

prefix = /usr
exec_prefix = ${prefix}

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: $(LIBS) $(LIBD) $(PROGS)

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

.PHONY: strip
strip: all
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean:
	@-$(RM) $(PROGS) $(LIBS) $(OBJS) core 2>/dev/null

%.o: ./%.cpp $(INCFILES)
	$(COMPILE) -c $<

Makefile: ./Makefile.in ../../config.status
	cd ../.. && ./config.status

libyasn.a: $(OBJS)
	$(AR) rcs $@ $^

=== libs/yiax/Makefile ===
# Makefile
# This file holds the make rules for the libyateiax

DEBUG :=

CXX  := g++ -Wall
AR  := ar
DEFS :=
INCLUDES := -I../.. -I../.. -I.
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
YATELIBS := -L../.. -lyate 
INCFILES := ../../yateclass.h ./yateiax.h

PROGS=
LIBS = libyateiax.a
OBJS = frame.o engine.o transaction.o

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

prefix = /usr
exec_prefix = ${prefix}

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: $(LIBS) $(PROGS)

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

.PHONY: strip
strip: all
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean:
	@-$(RM) $(PROGS) $(LIBS) $(OBJS) core 2>/dev/null

%.o: ./%.cpp $(INCFILES)
	$(COMPILE) -c $<

Makefile: ./Makefile.in ../../config.status
	cd ../.. && ./config.status

libyateiax.a: $(OBJS)
	$(AR) rcs $@ $^

=== libs/yjabber/Makefile ===
# Makefile
# This file holds the make rules for the libyatejabber

DEBUG :=

CXX  := g++ -Wall
AR  := ar
DEFS :=
INCLUDES := -I../.. -I../.. -I./../yxml -I.
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
SONAME_OPT := -shared -Wl,-soname=
YATELIBS := -L../.. -lyate 
INCFILES := ../../yateclass.h ./../yxml/yatexml.h ./xmpputils.h ./yatejabber.h ./yatejingle.h

PROGS=
LIBS = libyatejabber.a
OBJS = xmpputils.o jbstream.o jbengine.o session.o jgengine.o
LIBD_DEV:= libyatejabber.so
LIBD_VER:= $(LIBD_DEV).3.3.3
LIBD:= ../../$(LIBD_VER) ../../$(LIBD_DEV)
YXML:= ../yxml/libyatexml.a

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

prefix = /usr
exec_prefix = ${prefix}

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: $(LIBS) $(LIBD) $(PROGS)

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

.PHONY: strip
strip: all
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean:
	@-$(RM) $(PROGS) $(LIBS) $(LIBD) $(OBJS) core 2>/dev/null

%.o: ./%.cpp $(INCFILES)
	$(COMPILE) -c $<

Makefile: ./Makefile.in ../../config.status
	cd ../.. && ./config.status

../../$(LIBD_VER): $(OBJS) $(YXML)
	$(LINK) -o $@ $(SONAME_OPT)$(LIBD_VER) $^ $(YATELIBS) -lresolv

../../$(LIBD_DEV): ../../$(LIBD_VER)
	cd ../.. && ln -sf $(LIBD_VER) $(LIBD_DEV)

$(LIBS): $(OBJS)
	$(AR) rcs $@ $^

$(YXML):
	$(MAKE) -C ../yxml

=== libs/ymgcp/Makefile ===
# Makefile
# This file holds the make rules for the libyatemgcp

DEBUG :=

CXX  := g++ -Wall
AR  := ar
DEFS :=
INCLUDES := -I../.. -I../.. -I.
CFLAGS :=  -O2 -fno-check-new  -fno-exceptions -fPIC -DHAVE_GCC_FORMAT_CHECK 
LDFLAGS:= 
SONAME_OPT := -shared -Wl,-soname=
YATELIBS := -L../.. -lyate 
INCFILES := ../../yateclass.h ./yatemgcp.h

PROGS=
LIBS = libyatemgcp.a
OBJS = engine.o transaction.o message.o endpoint.o
LIBD_DEV:= libyatemgcp.so
LIBD_VER:= $(LIBD_DEV).3.3.3
LIBD:= ../../$(LIBD_VER) ../../$(LIBD_DEV)

LOCALFLAGS =
LOCALLIBS =
COMPILE = $(CXX) $(DEFS) $(DEBUG) $(INCLUDES) $(CFLAGS)
LINK = $(CXX) $(LDFLAGS)

prefix = /usr
exec_prefix = ${prefix}

# include optional local make rules
-include YateLocal.mak

.PHONY: all debug ddebug xdebug
all: $(LIBS) $(LIBD) $(PROGS)

debug:
	$(MAKE) all DEBUG=-g3 MODSTRIP=

ddebug:
	$(MAKE) all DEBUG='-g3 -DDEBUG' MODSTRIP=

xdebug:
	$(MAKE) all DEBUG='-g3 -DXDEBUG' MODSTRIP=

.PHONY: strip
strip: all
	strip --strip-debug --discard-locals $(PROGS)

.PHONY: clean
clean:
	@-$(RM) $(PROGS) $(LIBS) $(LIBD) $(OBJS) core 2>/dev/null

%.o: ./%.cpp $(INCFILES)
	$(COMPILE) -c $<

Makefile: ./Makefile.in ../../config.status
	cd ../.. && ./config.status

../../$(LIBD_VER): $(OBJS)
	$(LINK) -o $@ $(SONAME_OPT)$(LIBD_VER) $^ $(YATELIBS)

../../$(LIBD_DEV): ../../$(LIBD_VER)
	cd ../.. && ln -sf $(LIBD_VER) $(LIBD_DEV)

$(LIBS): $(OBJS)
	$(AR) rcs $@ $^

=== debian/changelog ===
yate (3.3.3.vir2011052702) UNRELEASED; urgency=low

  * Crash fix

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Fri, 27 May 2011 12:33:26 +0400

yate (3.3.3.vir2011052701) UNRELEASED; urgency=low

  * SDP fmtp lines forwarding fix

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Fri, 27 May 2011 12:13:46 +0400

yate (3.3.3.vir2011052601) UNRELEASED; urgency=low

  * SDP fmtp lines forwarding

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Thu, 26 May 2011 18:52:34 +0400

yate (3.3.3.vir2011051601) UNRELEASED; urgency=low

  * Merged marian's QOP implementation

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Mon, 16 May 2011 14:08:31 +0400

yate (3.3.3.vir2011051401) UNRELEASED; urgency=low

  * Merge SIP QOP handling with upstream
  * New Yate.pm

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Sat, 14 May 2011 10:49:42 +0400

yate (3.3.3.vir2011050401) UNRELEASED; urgency=low

  * Merged upstream updates

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Wed, 04 May 2011 23:03:00 +0400

yate (3.3.3.vir2011050305) UNRELEASED; urgency=low

  * Support "xsip_body_encoding" parameter in xsip.generate message

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Tue, 03 May 2011 22:34:03 +0400

yate (3.3.3.vir2011050304) UNRELEASED; urgency=low

  * FAKE

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Tue, 03 May 2011 14:23:35 +0400

yate (3.3.3.vir2011043001) UNRELEASED; urgency=low

  * Merged upstream fixes

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Sat, 30 Apr 2011 10:39:21 +0400

yate (3.3.3.vir2011042801) UNRELEASED; urgency=low

  * Merged upstream fixes

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Thu, 28 Apr 2011 22:30:19 +0400

yate (3.3.3.vir2011041701) UNRELEASED; urgency=low

  * New debian package. Fixed pidfile-related troubles.
  * Merged a lot of upstream fixes.

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Sun, 17 Apr 2011 00:09:18 +0400

yate (3.2.1.vir2011032102) UNRELEASED; urgency=low

  * Moved jabberclient.yate from yate-qt4 into libyate package

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Mon, 21 Mar 2011 20:52:22 +0300

yate (3.2.1.vir2011032101) UNRELEASED; urgency=low

  * pulled in upstramm changes (tel: uri support and bug fixes)

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Mon, 21 Mar 2011 16:05:12 +0300

yate (3.2.1.vir2011031401) UNRELEASED; urgency=low

  * Fix bug introduced by recent history rewrite

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Mon, 14 Mar 2011 06:57:58 +0300

yate (3.2.1.vir2011031101) UNRELEASED; urgency=low

  * pulled in upstramm changes

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Fri, 11 Mar 2011 11:29:59 +0300

yate (3.1.1.vir2011021901) UNRELEASED; urgency=low

  * pulled in upstream changes

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Sat, 19 Feb 2011 13:55:49 +0300

yate (3.1.1.vir2011020601) UNRELEASED; urgency=low

  * New Debian stable release out there, we have new versioning scheme for testing and stable ports

 -- Vasily i. Redkin <yatedeb@vir.otvt.ru>  Sun, 06 Feb 2011 13:29:09 +0300

yate (3.1.1.vir2011020102) UNRELEASED; urgency=low

  * Pulled in upstream changes

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Tue, 01 Feb 2011 11:22:30 +0300

yate (3.0.1.vir2011020101) UNRELEASED; urgency=low

  * Changed debian package versioning scheme to YYYYMMDDRR

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Tue, 01 Feb 2011 10:16:25 +0300

yate (3.0.0.vir12647) unstable; urgency=low

  * Fixed dependency packages versions

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Thu, 29 Apr 2010 13:17:26 +0400

yate (3.0.0.vir12646) unstable; urgency=low

  * Changed version scheme to include svk revision

 -- Vasily i. Redkin <vir@vir.ctm.ru>  Thu, 29 Apr 2010 10:52:57 +0400

yate (3.0.0) unstable; urgency=low

  * Updated to new version

 -- Vasily i. Redkin <vir@vir.ctm.ru>  Fri, 23 Apr 2010 17:46:14 +0400

yate (2.0.0) unstable; urgency=low

  * Initial Release.

 -- Vasily i. Redkin <vir@ctm.ru>  Mon, 06 Oct 2008 13:28:44 +0400

=== debian/control ===
Source: yate
Section: comm
Priority: optional
Maintainer: Vasily i. Redkin <vir@ctm.ru>
Build-Depends: debhelper (>= 7), libasound2-dev, pkg-config, libqt4-dev, libpq-dev, libssl-dev, sox, libgsm1-dev, libspeex-dev
Standards-Version: 3.7.3
Homepage: http://yate.null.ro/

Package: yate
Architecture: any
Suggests: yate-pgsql, yate-h323, yate-freesentral
Depends: libyate (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: The YATE project aims to be a fully featured software PBX.
 .
 This is version 3 or YATE.
 .
 This most recent version from the Yate software has bring several improvements
 over the previous versions:
 .
    * Support for more hardware interfaces and protocols - added SS7, analogic
    * support, RBS, better ISDN, passive recording
    * Clustering, balancing and failover support, Linux-HA integration
    * Improved client functionality - switched from GTK to Qt
    * Easier involvement of the Yate community - swtched from CVS to SVN
    * Added MGCP and Jingle support 

Package: libyate
Section: libs
Conflicts: yate (<< ${binary:Version}), libyate (<< ${binary:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: YATE shared library

Package: yate-dev
Section: libdevel
Architecture: any
Suggests: libyate-dbg, yate-dbg, yate-telhw-dbg
Depends:  libyate (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: YATE library development files

Package: yate-qt4
Architecture: any
Recommends: yate-alsa
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt4 software VoIP client, based on YATE

Package: yate-alsa
Architecture: any
Recommends: yate (= ${binary:Version}) | yate-qt4 (= ${binary:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ALSA channel driver for YATE

Package: yate-pgsql
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Postgres support for yate

Package: yate-doc
Section: doc
Architecture: all
Description: Documentation for yate

Package: libyate-dbg
Section: libdevel
Architecture: any
Depends: libyate (= ${Source-Version})
Recommends: gdb
Description: Debug symbols for the yate library

Package: yate-dbg
Section: devel
Architecture: any
Depends: yate (= ${Source-Version})
Recommends: gdb
Description: Debug symbols for the yate application

Package: yate-telhw-dbg
Section: devel
Architecture: any
Depends: yate-telhw (= ${Source-Version})
Recommends: gdb
Description: Debug symbols for the yate telephony hardware modules

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure:
	./autogen.sh

config: configure-stamp
configure-stamp: configure yate-config.in
	dh_testdir
	# Add here commands to configure the package.
	./configure $(confflags) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc --disable-ilbc --disable-wpcard
	touch configure-stamp

yate-config.in: configure yate-config.sh
	./yate-config.sh

#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp  

	# Add here commands to compile the arch part of the package.
	#$(MAKE)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp  

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean: config
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#
#	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp debug install

	dh_install -s
	debian/checkinstall.sh

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_strip --dbg-package=libyate --dbg-package=yate --dbg-package=yate-telhw
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch config
